*
 *
 * Module ctos.h  V012AM01 === 100490
 *
 * 100490 012A02 rjs  UCF16432156 Corrected WriteDaRecord prototype.
 * 061390 011I01 sbw  New ASCB definition.
 * 120489 011G01 sbw  Corrected Read() prototype.
 * 080989 011F01 sbw  Removed pre1.0 Revision history.
 *			 Changed:
 *				  __reserved in ASCB to 6 from 8.
 *				  pEntry() declaration for PDP.
 *				  pIntHandler() declaration in TPIB.
 *
 * 110687 010E01 rma  fix intunsigned params (AllocExch, GetUserNum)
 *                       add CheckErc prototype
 * 092387 010B01 rma  remove 2nd param from LockIn
 *
 *
 *    PROPRIETARY PROGRAM MATERIAL
 * REPRODUCTION OR DISCLOSURE IS PROHIBITED WITHOUT WRITTEN AUTHORIZATION
 * OF THE PATENT DIVISION OF UNISYS CORPORATION, DETROIT, MICHIGAN 48232, USA.
 *
 * COPYRIGHT (C) 1987 BORLAND INTERNATIONAL
 * COPYRIGHT (C) 1990 UNISYS CORPORATION
 *
 *




if	defined(__ERCTYPE)
define	__ERCTYPE

typedef	unsigned	ErcType;
endif


* 011I01 sbw : revised ASCB.  Also in ctparm.h *

struct ASCB {
		int                 fhSwapFile        ;
		struct VLPB   *far  pVLPB             ;
		unsigned char       fExecScreen       ;
		unsigned char       fChkBoot          ;
		ErcType             ercRet            ;
		void          *far  pbMsgRet          ;
		unsigned            cbMsgRet          ;
		unsigned char       DtModeId          ;
		unsigned char       DtModeYmd         ;
		unsigned char       DtModeTim         ;
		unsigned char       DtModeFmt         ;
		char                __rsrv_01[2]      ;
		unsigned char       fTermination      ;
		unsigned char       fVacate           ;
		unsigned            oLastTask         ;
		unsigned char       fExecFont         ;
		unsigned char       bActionCode       ;
		unsigned            cParMemArray      ;
		unsigned            ALSignature       ;
		unsigned            fhContext         ;
		unsigned            fDollarContext    ;
		void          *far  pExitRunFileBuf   ;
		void          *far  pbPassedData      ;
		unsigned            cbPassedData      ;
		char                sbNodeMail[13]    ;
		unsigned long       QMailId           ;
		unsigned            naMailServer      ;
		char                sbUserName[31]    ;
		char                sbPassword[13]    ;
		char                sbCmdFile[79]     ;
		char                sbExitRunFile[79] ;
		char                sbPswd[13]        ;
		unsigned char       Priority          ;
		unsigned char       fColor            ;
		unsigned char       rgbColorBytes[8]  ;
		unsigned char       fReverseVideo     ;
		unsigned char       bgndColorByte     ;
		char                __rsrv_02[13]     ;
	    } ;


struct	expandedDate	{
	unsigned           year;
	unsigned char      month;
	unsigned char      monthDay;
	unsigned char      weekDay;
	unsigned char      hour;
	unsigned char      minute;
	unsigned char      second;
	};

 
struct	PDP		{
	void               (*far pEntry)() ; * 011F01 sbw *
	unsigned           saData;
	unsigned           saExtra;
	unsigned           saStack;
	unsigned           oStackInit;
	unsigned char      priority;
	char               fSys;
	int                defaultResponseExchange;
	char               fDebug;
	};

struct	RqHdr	{
	unsigned           sCntInfo;
	unsigned char      nReqPbCb;
	unsigned char      nRespPbCb;
	unsigned           userNum;
	unsigned           exchResp;
	unsigned           ercRet;
	unsigned           rqCode;
	};

ifndef	__TIME_T                                                      *001 *
define	__TIME_T                                                      *001 *
typedef	struct simpleDate	{
	unsigned           seconds;
	unsigned           dayTimes2;
	}	time_t;
endif                                                                *001 *

struct	systemDate	{
	unsigned char	ticks;
	unsigned char	hundredMsec;
	unsigned	seconds;
	unsigned	dayTimes2;
	};

struct	TPIB	{
	char		__filler[8];
	void	  (*far pIntHandler)(); * 011F01 sbw *
	unsigned	saData;
	unsigned	cIntervals;
	unsigned	pRqBlkRet;
	char		__filler2[12];
	};

struct	TRB	{
	unsigned	counter;
	unsigned	counterReload;
	unsigned	cEvents;
	unsigned	exchResp;
	unsigned	ercRet;
	unsigned	rqCode;
	};

struct	VLPB	{
	int                sVarParams;
	int                ibFirstFree;
	int                cParams;
	struct	{
		int        ob;
		int        cb;
		}
	                   rgSdoParam[1];
	};

ErcType	AddQueueEntry		plm far(char     *far pbQueueName,
					int           cbQueueName,
					int           fQueueIfNoServer,
					int           priority,
					int           queueType,
					void     *far pEntry,
					int           sEntry,
					void     *far pDateTime,
					unsigned      repeatTime);

ErcType	AllocAllMemorySL	plm far(unsigned *far pcParagraphRet,
					void     *far *far ppSegmentRet);

ErcType	AllocExch		plm far(unsigned      *far pExchRet); * 11687 *

ErcType	AllocMemoryLL		plm far(unsigned      cBytes,
					void     *far *far ppSegmentRet);

ErcType	AllocMemorySL		plm far(unsigned      cBytes,
					void     *far *far ppSegmentRet);

*Missing AssignKbd()		*
*Missing AssignVidOwner()	*

ErcType	Beep			plm far(void);

extern	*far	bsVid;                                                 *001*
extern	*far	bsKbd;                                                 *001*

ErcType	Chain			plm far(char     *far pbFileSpec,
					unsigned      cbFileSpec,
					char     *far pbPassword,
					unsigned      cbPassword,
					int           priority,
					ErcType       ercTermination,
					int           fDebug);

ErcType	ChangeFileLength	plm far(int           fh,
					long          lfaNewFileSize);

*Missing ChangeOpenMode()	*

ErcType	ChangePriority		plm far(int           priority);

ErcType	Check			plm far(unsigned      exchange,
					void     *far *far ppMsgRet);

void	CheckErc			plm far(int erc);

ErcType	CheckpointBs		plm far(void     *far pBSWA);

ErcType	CheckPointRsFile	plm far(void     *far pRSWA);

ErcType	CheckpointSysIn		plm far(void);

ErcType	CheckReadAsync		plm far(void     *far pRq,
					int      *far psDataRet);

ErcType	CheckWriteAsync		plm far(void     *far pRq,
					int      *far psDataRet);

*Missing ClearPath()		*
*Missing CloseAllFiles()	*
*Missing CloseAllFilesLL()	*

ErcType	CloseByteStream		plm far(void     *far pBSWA);

*Missing CloseDaFiles()	*

ErcType	CloseFile		plm far(int           fh);

ErcType	CloseRsFile		plm far(void     *far pRSWA);

ErcType	CloseRTClock		plm far(struct TRB          *far pRqTime);

ErcType	CompactDateTime		plm far(struct expandedDate *far pExpDateTime,
					struct simpleDate   *far pDateTimeRet);

ErcType	ConfigureSpooler	plm far(int           channel,
					char     *far pbPrinterName,
					int           cbPrinterName,
					char     *far pbQueueName,
					int           cbQueueName,
					char     *far pbConfigureFile,
					int           cbConfigureFile,
					int           priority,
					int           fBanner);

ErcType	ConvertToSys		plm far(void);

int	CParams			plm far(void);

void	Crash			plm far(ErcType       ercTermintion);

ErcType	CloseDaFile		plm far(void     *far pDAWA);

*Missing CloseDir()		*

ErcType	CreateFile		plm far(char     *far pbFileSpec,
					int           cbFileSpec,
					char     *far pbPassword,
					int           cbPassword,
					long          lfaFileSize);

ErcType	CreatePartition		plm far(char     *far pbPartitionName,
					int           cbPartitionName,
					unsigned      cParagraphs,
					int           fRunBatch,
					int      *far pPhRet);

ErcType	CreateProcess		plm far(struct PDP *far pProcessDescriptor);

int	CSubParams		plm far(int           iParam);

ErcType	DeallocExch		plm far(int           exchange);

ErcType	DeallocMemoryLL		plm far(void     *far pSegment,
					unsigned      cBytes);

ErcType	DeallocMemorySL		plm far(void     *far pSegment,
					unsigned      cBytes);

ErcType	Delay			plm far(unsigned      n);

ErcType	Delete			plm far(int           fh);

ErcType	DeleteDaRecord		plm far(void     *far pDAWA,
					unsigned long qiRecord);

*Missing DeleteDir		*

ErcType	DeleteFile		plm far(int           fh);

ErcType	DisableActionFinish	plm far(int           fDisable);

ErcType	DisableCluster		plm far(int           fDisablePoll,
					int           timeInterval);

ErcType	DismountVolume		plm far(char     *far pbVolName,
					unsigned      cbVolName,
					char     *far pbPassword,
					unsigned      cbPassword);

void	ErrorExit		plm far(ErcType       ercTermination);

void	ErrorExitString		plm far(ErcType       ercTermination,
					char     *far pbExitString,
					unsigned      cbExitString);

ErcType	EstablishQueueServer	plm far(char     *far pbQueueName,
					int           cbQueueName,
					int           queueType,
					int           fUniqueServer);

void	Exit			plm far(void);

ErcType	ExpandDateTime		plm far(struct simpleDate        dateTime,
					struct expandedDate *far pExpDateTimeRet);

void	FatalError		plm far(ErcType       ercTermination);


ErcType	Format			plm far(int           fh,
					char     *far pBuffer,
					unsigned      sBuffer,
					long          lfa,
					int      *far psDataRet);

*Missing FormatTime()		*
*Missing FormatTimeDt()	*
*Missing FormatTimeTm()	*

ErcType	GetBsLfa		plm far(void     *far pBSWA,
					void     *far pLfaRet);

ErcType	GetClusterStatus	plm far(int           iLine,
					void     *far pBufferRet,
					int           sBufferMax);

unsigned  GetCParasOvlyZone	plm far(void);

ErcType	GetDateTime		plm far(struct simpleDate *far pDateTimeRet);

*Missing GetDirStatus()	*
*Missing GetFhLongevity()	*

ErcType	GetFileStatus		plm far(int           fh,
					int           statusCode,
					void     *far pStatusRet,
					int           sStatusMax);

*Missing GetIBusDevInfo()	*
*Missing GetKbdID()		*
*Missing GetModuleID()		*

ErcType	GetPartitionExchange	plm far(int           ph,
					int      *far pExchRet);

ErcType	GetPartitionHandle	plm far(char     *far pbPartitionName,
					int           cbPartitionName,
					int      *far pPhRet);

ErcType	GetPartitionStatus	plm far(int           ph,
					int           statusCode, 
					void     *far pStatusRet,
					int           sStatusMax);

ErcType	GetpASCB		plm far(struct ASCB *far *far ppASCBRet);

ErcType GetpStructure		plm far(int	      StructCode,
					int	      ph,
					void     *far ppStructRet);

ErcType	GetRsLfa		plm far(void     *far pRSWA,
					long     *far pLfaRet);

ErcType	GetStamFileHeader	plm far(char     *far pbFileSpec,
					int           cbFileSpec,
					char     *far pbPassword,
					int           cbPassword,
					void     *far pFileHeaderRet);

*Missing GetUCB()		*

ErcType	GetUserNumber		plm far(unsigned      *far pUserNumberRet); * 11687 *

*Missing GetUserStatus()	*

ErcType	GetVHB			plm far(char     *far pbDevSpec,
					unsigned      cbDevSpec,
					void     *far pVhbRet,
					unsigned      sVhbMax);

ErcType	GetWSUserName		plm far(int           WSNum,
					char     *far pWSUserNameRet,
					int           sWSUserNameRetMax);

ErcType	InitCharMap		plm far(char     *far pMap,
					unsigned      sMap);

void	InitLargeOverlays	plm far(void     *far pSwapBuffer,
					unsigned      cParasSwapBuffer);

void	InitOverlays		plm far(void     *far pSwapBuffer,
					unsigned      sSwapBuffer);

ErcType	InitVidFrame		plm far(int           iFrame,
					int           iColStart,
					int           iLineStart,
					int           nCols,
					int           nLines,
					int           borderDesc,
					int           bBorderChar,
					int           bBorderAttr,
					int           fDblHigh,
					int           fDblWide);

ErcType	LoadFontRam		plm far(int           fh,
					char     *far pBuffer,
					int           sBuffer);

*Missing LoadInteractiveTask()	*

ErcType	LoadPrimaryTask		plm far(int           ph,
					char     *far pbFileSpec,
					int           cbFileSpec,
					char     *far pbPassword,
					int           cbPassword,
					int           priority);

*Missing LoadStyleRamEntry()	*
*Missing LoadSysKeys()		*

ErcType	LoadTask		plm far(int           fh,
					int           priority,
					int           fDebug);

void	LockIn			plm far(int           bPort);

void	LockOut			plm far(int           bPort,
					int           bValue);

*Missing LockVideo()		*
*Missing LockVideoForModify()	*
*Missing LockXbis()		*
*Missing LookUpField()		*
*Missing LookUpNumber()	*
*Missing LookUpReset()		*
*Missing LookUpString()	*

void	MakeRecentlyUsed	plm far(void);

*Missing MapXbusWindow()	*

ErcType	MarkKeyedQueueEntry	plm far(char     *far pbQueueName,
					int           cbQueueName,
					char     *far pbKey1,
					int           cbKey1,
					unsigned      oKey1,
					char     *far pbKey2,
					int           cbKey2,
					unsigned      oKey2,
					void     *far pEntryRet,
					int           sEntryRet,
					void     *far pStatusBlock,
					int           sStatusBlock);

ErcType	MarkNextQueueEntry	plm far(char     *far pbQueueName,
					int           cbQueueName,
					int           fReturnIfNoEntries,
					void     *far pEntryRet,
					int           sEntryRet,
					void     *far pStatusBlock,
					int           sStatusBlock);

ErcType	MediateIntHandler	plm far(int           fDeviceInt);

ErcType	MountVolume		plm far(char     *far pbDevSpec,
					unsigned      cbDevSpec,
					char     *far pbPassword,
					unsigned      cbPassword);

*Missing NPrint()		*

ErcType	OpenByteStream		plm far(void     *far pBSWA,
					char     *far pbFileSpec,
					int           cbFileSpec,
					char     *far pbPassword,
					int           cbPassword,
					int           mode,
					void     *far pBufferArea,
					int           sBufferArea);

ErcType	OpenDaFile		plm far(void     *far pDAWA,
					char     *far pbFilespec,
					int           cbFilespec,
					char     *far pbPassword,
					int           cbPassword,
					int           mode,
					void     *far pBuffer,
					int           sBuffer,
					int           sRecord);

ErcType	OpenFile		plm far(int      *far pFhRet,
					char     *far pbDevSpec,
					unsigned      cbDevSpec,
					char     *far pbPassword,
					unsigned      cbPassword,
					int           mode);

*Missing OpenFileLL()		*

ErcType	OpenRsFile		plm far(void     *far pRSWARet,
					char     *far pbFilespec,
					int           cbFilespec, 
					char     *far pbPassword,
					int           cbPassword,
					int           mode,
					void     *far pBufferArea,
					int           sBufferArea);

ErcType	OpenRTClock		plm far(struct TRB *far pRqTime);

*Missing OutputQuad()		*
*Missing OutputWord()		*
*Missing ParseTime()		*
*Missing PDGetCursorPos()	*
*Missing PDGetCursorPosNSC()	*
*Missing PDLoadCursor()	*
*Missing PDReadCurrentCursor()	*
*Missing PDSetCursorDisplay()	*
*Missing PDSetCursorPos()	*
*Missing PDSetCursorPosNSC()	*
*Missing PDSetCursorType()	*
*Missing PDSetMotionRectangle()	*
*Missing PDSetMotionRectangleNSC()	*
*Missing PDSetTracking()	*
*Missing PDSetVirtualCoordinates()	*
*Missing PDTranslateNSCtoVC()	*
*Missing PDTranslateVCtoNSC()	*

ErcType	PosFrameCursor		plm far(int           iFrame,
					int           iCol,
					int           iLine);

*Missing ProgramColorMapper()	*

ErcType	PSend			plm far(unsigned      exchange,
					void     *far pMsg);

*Missing PurgeMCR()		*

ErcType	PutBackByte		plm far(void     *far pBSWA,
				*001	char          b);                    *
					unsigned      b);              *001*

*Missing PutByte()		*
*Missing PutChar()		*

ErcType	PutFrameAttrs		plm far(int           iFrame,
					int           iCol,
					int           iLine,
					int           attr,
					int           nPos);

ErcType	PutFrameChars		plm far(int           iFrame,
					int           iCol,
					int           iLine,
					char     *far pbText,
					unsigned      cbText);

*Missing PutPointer()		*
*Missing PutQuad()		*
*Missing PutWord()		*

ErcType	QueryDaLastRecord	plm far(void     *far pDAWA,
					unsigned long *far pqiRecordRet);

ErcType	QueryDaRecordStatus	plm far(void     *far pDAWA,
					unsigned long qiRecord,
					int      *far pStatusRet);

ErcType	QueryDCB		plm far(char     *far pbDevSpec,
					unsigned      cbDevSpec,
					void     *far pDcbRet,
					unsigned      sDcbMax);


ErcType	QueryDefaultRespExch	plm far(int      *far pExchRet);

ErcType	QueryExitRunFile	plm far(char     *far pbExitRunFileRet,
					unsigned      cbExitRunFileRet,
					char     *far pbPasswordRet,
					unsigned      cbPasswordRet,
					int      *far pbPriorityRet);

ErcType	QueryFrameChar 		plm far(int           iFrame,
					int           iCol,
					int           iLine,
					char     *far pbRet);

ErcType	QueryKbdLeds		plm far(char     *far pLEDsRet);

ErcType	QueryKbdState		plm far(void     *far pKbdDescRet);

ErcType	QueryMemAvail		plm far(unsigned *far pcParagraphRet);

*Missing QueryModulePosition()	*

ErcType	QueryProcessNumber	plm far(int      *far pProcessNumberRet);

*Missing QueryRequestInfo()	*

ErcType	QueryVidBs		plm far(void     *far pBSWA,
					void     *far pBsVidStateRet);

ErcType	QueryVidHdw		plm far(void     *far pBuffer,
					int           sBuffer);

*Missing QueryWSNum()		*

* 011G01 sbw  added pBufferRet *

ErcType	Read			plm far( int         fh,
					 void * far  pBufferRet,
					 unsigned    sBufferMax,
					 long        lfa,
					 int  * far  psDataRet   ) ;

ErcType	ReadActionCode		plm far(char     *far pCodeRet);

*Missing ReadActionKbd()	*

ErcType	ReadAsync		plm far(int           fh,
					void     *far pBufferRet, 
					unsigned      sBufferMax,
					long          lfa,
					void     *far pRq,
					int           exchangeReply);

ErcType	ReadBsRecord		plm far(void     *far pBSWA,
					char     *far pBufferRet,
					int           sBufferMax,
					int      *far psDataRet);

ErcType	ReadByte		plm far(void     *far pBSWA,
					char     *far pbRet);

ErcType	ReadBytes		plm far(void     *far pBSWA,
					int           cbMax,
					char     *far *far ppbRet,
					int      *far pcbRet);

ErcType	ReadDaFragment		plm far(void     *far pDAWA,
					unsigned long qiRecord,
					void     *far pFragmentRet,
					unsigned      rbFragment,
					int           cbFragment);

ErcType	ReadDaRecord		plm far(void     *far pDAWA,
					unsigned long qiRecord,
					void     *far pRecordRet);

*Missing ReadDirSector()	*

ErcType	ReadFile		plm far(int           fh,
					void     *far pBufferRet,
					unsigned      sBufferMax,
					long          lfa,
					int      *far psDataRet);

*Missing ReadHardID()		*
*Missing ReadInputEvent()	*
*Missing ReadInputEventNSC()	*

ErcType	ReadKbd			plm far(char     *far pCharRet);

ErcType	ReadKbdDirect		plm far(int           mode,
					char     *far pCharRet);

ErcType	ReadKeyedQueueEntry	plm far(char     *far pbQueueName,
					int           cbQueueName,
					char     *far pbKey1,
					int           cbKey1,
					unsigned      oKey1,
					char     *far pbKey2,
					int           cbKey2,
					unsigned      oKey2,
					void     *far pEntryRet,
					int           sEntryRet,
					void     *far pStatusBlock,
					int           sStatusBlock);

*Missing ReadMCR()		*

ErcType	ReadNextQueueEntry	plm far(char     *far pbQueueName,
					int           cbQueueName,
					long          qeh,
					void     *far pEntryRet,
					int           sEntryRet,
					void     *far pStatusBlock,
					int           sStatusBlock);

ErcType	ReadRsRecord		plm far(void     *far pRSWA,
					void     *far pRecordRet,
					int           sRecordMax,
					int      *far pcbRet);

*Missing ReadToNextField()	*

void	ReInitLargeOverlays	plm far(unsigned      cParasSwapBuffer);

void	ReInitOverlays		plm far(unsigned      sSwapBuffer);

ErcType	ReleaseByteStream	plm far(void     *far pBSWA);

ErcType	ReleaseRsFile		plm far(void     *far pRSWA);

ErcType	RemoveKeyedQueueEntry	plm far(char     *far pbQueueName,
					int           cbQueueName,
					char     *far pbKey1,
					int           cbKey1,
					unsigned      oKey1,
					char     *far pbKey2,
					int           cbKey2,
					unsigned      oKey2);

ErcType	RemoveMarkedQueueEntry	plm far(char     *far pbQueueName,
					int           cbQueueName,
					long          qeh);

ErcType	RemovePartition		plm far(int           ph);


ErcType RenameFile		plm far(int            fh,
					char      *far pbNewFileSpec,
				   	int            cbNewFileSpec,
					char      *far pbPassword,
				   	int            cbPasword);
            	


ErcType	Request			plm far(struct RqHdr *far pRq);

*Missing RequestDirect()	*

ErcType	ResetCommISR		plm far(int           iLine);

ErcType	ResetFrame		plm far(int           iFrame);

ErcType	ResetMemoryLL		plm far(void);

ErcType	ResetTimerInt		plm far(struct TPIB *far pTPIB);

ErcType	ResetVideo		plm far(int           nCols,
					int           nLines,
					int           fAttr,
					int           bSpace,
					int      *far psMapRet);

*Missing ResetXbusMISR()	*

ErcType	Respond			plm far(struct RqHdr *far pRq);

ErcType	RewriteMarkedQueueEntry	plm far(char     *far pbQueueName,
					int           cbQueueName,
					long          qeh, 
					void     *far pEntryRet,
					int           sEntryRet);

ErcType	RgParam			plm far(int           iParam,
					int           jParam,
					void     *far pSdRet);

ErcType	RgParamInit		plm far(void     *far pVarParams,
					int           sVarParams, 
					int           iParamMax);

ErcType	RgParamSetEltNext	plm far(void     *far pSd);

ErcType	RgParamSetListStart	plm far(int           iParam);

ErcType	RgParamSetSimple	plm far(int           iParam,
					void     *far pSd);

*Missing SbPrint()		*

ErcType	ScanToGoodRsRecord	plm far(void     *far pRSWA,
					unsigned long qbSkipMax,
					long     *far pLfaScanStartRet,
					unsigned long *far pqbRet);

ErcType	ScrollFrame		plm far(int           iFrame,
					int           iLineStart,
					int           iLineMax,
					int           cLines,
					int           fUp);

ErcType	Send			plm far(unsigned      exchange,
					void     *far pMsg);

ErcType	ServeRq			plm far(int           requestCode,
					int           exchange);

*Missing SetAphaColorDefault()	*

ErcType	SetBsLfa		plm far(void     *far pBSWA,
					long          lfa);

ErcType	SetCommISR		plm far(int           iLine,
					void     *far pDS, 
					void (*far pTxIsr)      interrupt(),
					void (*far pExtIsr)     interrupt(),
					void (*far pRxIsr)      interrupt(),
					void (*far pSpRxIsr)    interrupt());

ErcType	SetDaBufferMode		plm far(void     *far pDAWA,
					int           mode);

ErcType	SetDateTime		plm far(unsigned      seconds, 
					unsigned      dayTimes2);

*Missing SetDateTimeMode()	*
*Missing SetDeltaPriority()	*

ErcType	SetDevParams		plm far(char     *far pbDevSpec,
					unsigned      cbDevSpec,
					char     *far pbPassword,
					unsigned      cbPassword,
					int           paramCode);

*Missing SetDirStatus()	*

ErcType	SetExitRunFile		plm far(char     *far pbExitRunFile,
					unsigned      cbExitRunFile,
					char     *far pbPassword,
					unsigned      cbPassword,
					int           priority);

*Missing SetFhLongevity()	*

ErcType	SetFileStatus		plm far(int           fh,
					int           statusCode,
					void     *far pStatus,
					int           sStatus);

ErcType	SetImageMode		plm far(void     *far pBSWA,
					int           mode);

ErcType	SetIntHandler		plm far(int           iInt,
					void (*far pIntHandler) interrupt(),
					unsigned      saData,
					int           fDeviceInt,
					int           fRaw);

ErcType	SetKbdLed		plm far(int           iLED,
					int           fOn);

ErcType	SetKbdUnencodedMode	plm far(int           fOn);

ErcType	SetLpISR		plm far(void (*far pLpIsr)      interrupt(),
					unsigned      saData);

*Missing SetNode()		*

ErcType	SetPartitionExchange	plm far(int           exchange);

ErcType	SetPartitionLock	plm far(int           fLock);

*Missing SetPartitionName()	*
*Missing SetPath()		*
*Missing SetPrefix()		*

ErcType SetpStructure		plm far(int	      StructCode,
					int	      ph,
					int	      oField,
					void     *far pbStruct,
					int	      cbStruct);


ErcType	SetScreenVidAttr	plm far(int           iAttr,
					int           fOn);

*Missing SetStyleRam()		*
*Missing SetStyleRamEntry()	*
*Missing SetSwapDisable()	*

ErcType	SetSysInMode		plm far(int           iMode,
					int           fhSysIn);

ErcType	SetTimerInt		plm far(struct TPIB       *far pTPIB);

*Missing SetTrapHandler()	*
*Missing SetVideoTimeout()	*

ErcType	SetWSUserName		plm far(char     *far pbUserName,
					int           cbUserName);

*Missing SetXbusMISR()		*

ErcType	SpoolerPassword		plm far(char     *far pbPrinterName,
					int           cbPrinterName,
					char     *far pbPassword,
					int           cbPassword);

*Missing StringsEqual()	*
*Missing SwapXBusEar()		*

ErcType	TerminatePartitionTasks	plm far(int           ph);

ErcType	TerminateQueueServer	plm far(char     *far pbQueueName,
					int           cbQueueName);

*Missing TextEdit()			*

ErcType	TruncateDaFile		plm far(void     *far pDAWA,
					unsigned long qiRecord);

*Missing ULCMPB()			*
*Missing UnLockVideo()			*
*Missing UnLockVideoForModify()	*
*Missing UnLockXbis()			*

ErcType	UnmarkQueueEntry	plm far(char     *far pbQueueName,
					int           cbQueueName,
					long          qeh);

ErcType	VacatePartition		plm far(int           ph);

ErcType	Wait			plm far(unsigned      exchange,
					void     *far *far ppMsgRet);

ErcType	WildCardInit		plm far(char     *far pb,
					int           cb,
					char     *far pBuf,
					int           sBuf);

int	WildCardMatch		plm far(char     *far pbWildStr,
					int           cbWildStr,
					char     *far pbStr,
					int           cbStr);

ErcType	WildCardNext		plm far(char     *far pbuf,
					char     *far psdRet);

ErcType	Write			plm far(int           fh,
					void     *far pBuffer,
					unsigned      sBuffer,
					long          lfa,
					int      *far psDataRet);

ErcType	WriteAsync		plm far(int           fh,
					void     *far pBuffer,
					unsigned      sBuffer,
					long          lfa,
					void     *far pRq,
					int           exchangeReply);

ErcType	WriteBsRecord		plm far(void     *far pBSWA,
					char     *far pb,
					int           cb,
					int      *far pcbRet);

ErcType	WriteByte		plm far(void     *far pBSWA,
				*001	char          b);                    *
					unsigned      b);              *001*

ErcType	WriteDaFragment		plm far(void     *far pDAWA,
					unsigned long qiRecord,
					void     *far pFragment,
					unsigned      rbFragment,
					int           cbFragment);

ErcType	WriteDaRecord		plm far(void      *far pDAWA,
					unsigned long qiRecord,
					void     *far pRecord);

ErcType	WriteFile		plm far(int           fh,
					void     *far pBuffer,
					unsigned      sBuffer,
					long          lfa,
					int      *far psDataRet);

*Missing WriteHardID()			*

ErcType	WriteLog		plm far(char     *far pbRecord,
					int           cbRecord);

ErcType	WriteRsRecord		plm far(void     *far pRSWA,
					void     *far pRecord,
					int           sRecord);

*Missing ZPrint()			*

